# -*- coding: utf-8 -*-
###############################################################################
#
#    Copyright (C) 2001-2014 Micronaet SRL (<http://www.micronaet.it>).
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General Public License as published
#    by the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Affero General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
###############################################################################
import os
import sys
import netsvc
import logging
from openerp.osv import orm, fields
from datetime import datetime, timedelta
from openerp.tools import DEFAULT_SERVER_DATE_FORMAT, DEFAULT_SERVER_DATETIME_FORMAT, DATETIME_FORMATS_MAP, float_compare
import openerp.addons.decimal_precision as dp
from openerp.tools.translate import _


_logger = logging.getLogger(__name__)

class ir_ui_menu_info_wizard(orm.Model):
    ''' Wizard for get reference about menuitem
    '''
    _name = "ir.ui.menu.info.wizard"
    _description = "Menu developer info"

    def get_default_info(self, cr, uid, context=None):
        ''' Search extra info about menuitem selected
        '''
        res = _('No info found!')
        
        active_id = context.get('active_id', False)
        if not active_id:
            return 
            
        menu_pool = self.pool.get('ir.model.data')
        menu_ids = menu_pool.get(cr, uid, [
            ('model', '=', 'ir.ui.menu'),
            ('res_id', '=', active_id),
            ], context=context)
        if menu_ids:
            menu_proxy = menu_pool.browse(cr, uid, menu_ids, context=context)[0]
            return "%s.%s" % (menu_proxy.model, menu_proxy.name)
        else:    
            return res

    _columns = {
        'info': fields.text('Info'),
    }    

    _defaults = {
        'info': lambda s, cr, uid, ctx: s.get_default_info(cr, uid, context=ctx),
    }

class ir_ui_menu(orm.Model):
    ''' Add button method for open Wizard
    ''' 
       
    def get_developer_info(self, cr, uid, ids, context=None):
        ''' Open Wizard
        '''
        return {
            'model': 'ir.ui.menu.info.wizard',
            'module': 'info_menuitem',
            'record': ids[0],
            }
# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:
